package configuration;

import java.io.File;

public interface ConfigurationParser {
    /**
     * Analyse et lit une configuration de simulation depuis un fichier.
     *
     * @param file Le fichier de configuration.
     * @return La configuration de simulation correspondant au contenu du fichier.
     */
    SimulationConfiguration parseConfiguration(File file) throws ConfigurationParsingException;
}
