package simulation;

import java.util.Random;

public class RandomSellStrategy implements SellStrategy {
    private static final int SELL_CHANCE_PERCENT = 1;   // 1% de chance par tour

    private final Random random = new Random();

    @Override
    public boolean shouldSell() {
        int gen = random.nextInt(100);
        return gen < SELL_CHANCE_PERCENT;
    }
}
