package configuration;

import metadata.BuildingMetadata;

import java.util.Map;

public class SimulationConfiguration {
    private final Map<String, BuildingMetadata> metadata;
    private final SimulationData simulationData;

    public SimulationConfiguration(Map<String, BuildingMetadata> metadata, SimulationData simulationData) {
        this.metadata = metadata;
        this.simulationData = simulationData;
    }

    public Map<String, BuildingMetadata> getMetadata() {
        return metadata;
    }

    public SimulationData getSimulationData() {
        return simulationData;
    }
}
