package configuration;

public class SimulationConfigurationSingleton {
    private static SimulationConfigurationSingleton instance;

    public static SimulationConfigurationSingleton getInstance() {
        if (instance == null) {
            instance = new SimulationConfigurationSingleton();
        }

        return instance;
    }

    private SimulationConfiguration configuration;

    private SimulationConfigurationSingleton() {
    }

    public void setConfiguration(SimulationConfiguration config) {
        this.configuration = config;
    }

    public SimulationConfiguration getConfiguration() {
        return configuration;
    }
}
