package simulation;

public class TimedSellStrategy implements SellStrategy {
    private static final int SELL_INTERVAL = 1000;

    private long turn = 0L;

    @Override
    public boolean shouldSell() {
        return ++turn % SELL_INTERVAL == 0;
    }
}
