package view;

import javax.swing.*;
import java.awt.*;
import java.io.Serial;

public class StrategyWindow extends JFrame {
    @Serial
    private static final long serialVersionUID = 1L;
    private static final String WINDOW_TITLE = "Sélectionnez votre stratégie de vente";
    private static final Dimension DIMENSION = new Dimension(250, 100);

    private final StrategyPanel strategyPanel = new StrategyPanel();

    public StrategyWindow() {
        add(strategyPanel);
        setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        setTitle(WINDOW_TITLE);
        setSize(DIMENSION);
        setVisible(true);
        setLocationRelativeTo(null);
        setResizable(false);
    }
}
